[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StopIfMargin |

`#include <vigra/random_forest/rf_earlystopping.hxx>`

Inheritance diagram for StopIfMargin:

List of all members.

## Public Member Functions
| StopIfMargin (double proportion)

## Detailed Description

Stop predicting if the margin prob(leading class) - prob(second class) exceeds a proportion case unweighted voting: stop if margin exceeds proportion * SB::tree_count_ case weighted votion: stop if margin exceeds proportion * msample_ * SB::tree_count_ ; (maximal number of votes possible in both cases)

## Constructor & Destructor Documentation

StopIfMargin | ( | double | proportion | ) |

Constructor

Parameters:

  | proportion | specify proportion to be used.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_earlystopping.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)